Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.server.core
Class FacetUtil

    java.lang.Object
      org.eclipse.jst.server.core.FacetUtil

    public final class FacetUtil

extends java.lang.Object

Utility class for converting between facet runtimes and server runtimes.

This class provides all its functionality through static members. It is not intended to be subclassed or instantiated.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Method Summary
`static org.eclipse.wst.common.project.facet.core.runtime.IRuntime` | `getRuntime(IRuntime runtime)` Returns the facet runtime that corresponds to a server runtime, or null if none could be found.
`static IRuntime` | `getRuntime(org.eclipse.wst.common.project.facet.core.runtime.IRuntime runtime)` Returns the server runtime that corresponds to a facet runtime, or null if none could be found.
`static IStatus` | `verifyFacets(IProject project, IServer server)` Tests whether the facets on a project are supported by a given server.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getRuntime

    public static IRuntime getRuntime(org.eclipse.wst.common.project.facet.core.runtime.IRuntime runtime)

  Returns the server runtime that corresponds to a facet runtime, or null if none could be found.

  Parameters:
    `runtime` - a facet runtime
  Returns:
    the server runtime that corresponds to the facet runtime, or `null` if none could be found.

### getRuntime

    public static org.eclipse.wst.common.project.facet.core.runtime.IRuntime getRuntime(IRuntime runtime)

  Returns the facet runtime that corresponds to a server runtime, or null if none could be found.

  Parameters:
    `runtime` - a server runtime
  Returns:
    the facet runtime that corresponds to the server runtime, or `null` if none could be found.

### verifyFacets

    public static final IStatus verifyFacets(IProject project,
                                             IServer server)

  Tests whether the facets on a project are supported by a given server. Returns an OK status if the server's runtime supports the project's facets, and an ERROR status (with message) if it doesn't.

  Parameters:
    `project` - a project
    `server` - a server
  Returns:
    OK status if the server's runtime supports the project's facets, and an ERROR status (with message) if it doesn't

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD